Bug 168265 - Review request: perl-DBIx-SearchBuilder - Encapsulate SQL queries and rows in simple perl objects
Summary: Review request: perl-DBIx-SearchBuilder - Encapsulate SQL queries and rows in...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Grau
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/DBIx-Sear...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 169247
TreeView+ depends on / blocked
 
Reported: 2005-09-14 06:34 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 01:51:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2005-09-14 06:34:49 UTC
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-DBIx-SearchBuilder.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-DBIx-SearchBuilder-1.27-1.src.rpm

Description:
This module provides an object-oriented mechanism for retrieving and
updating data in a DBI-accessible database.

Comment 1 Ralf Corsepius 2005-09-14 06:40:47 UTC
Notes:
1. This is an rt3 dependency.

2. I am intentionally submitting 1.27, because later versions have dependencies
on newer modules from perl core than RH is willing to provide.
c.f. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166475

I.e. later versions could work on FC > 4, but for FC < 5, we probably will have
to stay with 1.27.

Comment 2 Chris Grau 2005-10-09 19:56:12 UTC
rpmlint returns:
E: perl-DBIx-SearchBuilder script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/DBIx/SearchBuilder/Record.pm
E: perl-DBIx-SearchBuilder script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/DBIx/SearchBuilder/Record/Cachable.pm
E: perl-DBIx-SearchBuilder script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/DBIx/SearchBuilder/Handle.pm
E: perl-DBIx-SearchBuilder script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/DBIx/SearchBuilder.pm
E: perl-DBIx-SearchBuilder script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/DBIx/SearchBuilder/Handle/mysql.pm
E: perl-DBIx-SearchBuilder script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/DBIx/SearchBuilder/Handle/Pg.pm
E: perl-DBIx-SearchBuilder-Oracle script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/DBIx/SearchBuilder/Handle/Oracle.pm

Those files are all +x for some reason.

yum localinstall returns:
Error: Missing Dependency: perl(DBD::Oracle) is needed by package
perl-DBIx-SearchBuilder-Oracle

This one is interesting.  Based on the license text[1] for DBD::Oracle, I don't
expect it to ever show up in Extras.  So we would effectively be placing a
package in Extras that is uninstallable without ignoring dependencies or using
third-party repositories, right?

[1] http://search.cpan.org/dist/DBD-Oracle/Oracle.pm#COPYRIGHT


Comment 3 Ville Skyttä 2005-10-09 20:07:52 UTC
In addition to the license text, DBD-Oracle needs to be linked with the  
non-OSS Oracle client libs to work. 
 
Personally, I'd just leave the Oracle stuff in the main package here and 
filter out the dependency.  Or not ship it in the first place, either by 
removing the affected files, or leaving them in the subpackage but guarding it 
with a "--with oracle" rpmbuild option (defaulting to off). 

Comment 4 Ralf Corsepius 2005-10-10 04:17:52 UTC
(In reply to comment #2)
>
> yum localinstall returns:
> Error: Missing Dependency: perl(DBD::Oracle) is needed by package
> perl-DBIx-SearchBuilder-Oracle
 
> So we would effectively be placing a
> package in Extras that is uninstallable without ignoring dependencies or using
> third-party repositories, right?
Right, this package has a runtime dependency to a perl-module/rpm outside of FE
and right, this means "pure FE+FC" users won't ever be able to install this rpm.

(In reply to comment #3)
> In addition to the license text, DBD-Oracle needs to be linked with the  
> non-OSS Oracle client libs to work. 
Exactly.

> Personally, I'd just leave the Oracle stuff in the main package here and 
> filter out the dependency.
I'd rather not do this, because this would mean to cheat to users and to
artificially add inconcistencies to the rpmdb.

>  Or not ship it in the first place, either by 
> removing the affected files, or leaving them in the subpackage but guarding it 
> with a "--with oracle" rpmbuild option (defaulting to off). 
This seems more reasonable to me.

Initially, I had considered doing this, but had decided to package the Oracle
bindings into a separate package as convenience to users which might have access
to Oracle DBs :)

I am going to add "--with oracle".

Comment 6 Chris Grau 2005-10-10 19:35:05 UTC
Good:

- rpmlint clean
- package and spec file names okay
- license is okay, matches upstream
- spec is legible and in am. english
- source matches upstream
- builds cleanly in mock (FC-4 i386)
- no missing BRs, no superfluous BRs
- owns proper directories
- file permissions okay, %files okay

I'm happy with the "--with oracle" solution.  I'll consider this package approved.


Comment 7 Aurelien Bompard 2005-10-10 20:25:06 UTC
(just changing the "depends" on FE-ACCEPT to a "blocks" FE-ACCEPT)


Note You need to log in before you can comment on or make changes to this bug.